CheckBoxTreeTableCell (JavaFX 17)

Module javafx.controls
Package javafx.scene.control.cell

## Class CheckBoxTreeTableCell<S,​T>

- java.lang.Object
- - javafx.scene.Node
  - - javafx.scene.Parent
    - - javafx.scene.layout.Region
      - - javafx.scene.control.Control
        - - javafx.scene.control.Labeled
          - - javafx.scene.control.Cell<T>
            - - javafx.scene.control.IndexedCell<T>
              - - javafx.scene.control.TreeTableCell<S,​T>
                - - javafx.scene.control.cell.CheckBoxTreeTableCell<S,​T>

- Type Parameters:
    `S` - The type of the TreeTableView generic type
    `T` - The type of the elements contained within the TreeTableColumn.
  All Implemented Interfaces:
    `Styleable`, `EventTarget`, `Skinnable`

      public class CheckBoxTreeTableCell<S,​T>
      extends TreeTableCell<S,​T>

  A class containing a `TreeTableCell` implementation that draws a `CheckBox` node inside the cell, optionally with a label to indicate what the checkbox represents.

  By default, the CheckBoxTreeTableCell is rendered with a CheckBox centred in the TreeTableColumn. If a label is required, it is necessary to provide a non-null StringConverter instance to the `CheckBoxTreeTableCell(Callback, StringConverter)` constructor.

  To construct an instance of this class, it is necessary to provide a `Callback` that, given an object of type T, will return an `ObservableProperty<Boolean>` that represents whether the given item is selected or not. This ObservableValue will be bound bidirectionally (meaning that the CheckBox in the cell will set/unset this property based on user interactions, and the CheckBox will reflect the state of the ObservableValue, if it changes externally).

  Note that the CheckBoxTreeTableCell renders the CheckBox 'live', meaning that the CheckBox is always interactive and can be directly toggled by the user. This means that it is not necessary that the cell enter its `editing state` (usually by the user double-clicking on the cell). A side-effect of this is that the usual editing callbacks (such as `on edit commit`) will not be called. If you want to be notified of changes, it is recommended to directly observe the boolean properties that are manipulated by the CheckBox.

  Since:
    JavaFX 8.0

- - ### Property Summary

    Properties
    Type | Property | Description
    --- | --- | ---
    `ObjectProperty<StringConverter<T>>` | `converter` | The `StringConverter` property.
    `ObjectProperty<Callback<Integer,​ObservableValue<Boolean>>>` | `selectedStateCallback` | Property representing the `Callback` that is bound to by the CheckBox shown on screen.

    - ### Properties declared in class javafx.scene.control.TreeTableCell

      `tableColumn, tableRow, treeTableView`

    - ### Properties declared in class javafx.scene.control.IndexedCell

      `index`

    - ### Properties declared in class javafx.scene.control.Cell

      `editable, editing, empty, item, selected`

    - ### Properties declared in class javafx.scene.control.Labeled

      `alignment, contentDisplay, ellipsisString, font, graphic, graphicTextGap, labelPadding, lineSpacing, mnemonicParsing, textAlignment, textFill, textOverrun, text, underline, wrapText`

    - ### Properties declared in class javafx.scene.control.Control

      `contextMenu, skin, tooltip`

    - ### Properties declared in class javafx.scene.layout.Region

      `background, border, cacheShape, centerShape, height, insets, maxHeight, maxWidth, minHeight, minWidth, opaqueInsets, padding, prefHeight, prefWidth, scaleShape, shape, snapToPixel, width`

    - ### Properties declared in class javafx.scene.Parent

      `needsLayout`

    - ### Properties declared in class javafx.scene.Node

      `accessibleHelp, accessibleRoleDescription, accessibleRole, accessibleText, blendMode, boundsInLocal, boundsInParent, cacheHint, cache, clip, cursor, depthTest, disabled, disable, effectiveNodeOrientation, effect, eventDispatcher, focused, focusTraversable, hover, id, inputMethodRequests, layoutBounds, layoutX, layoutY, localToParentTransform, localToSceneTransform, managed, mouseTransparent, nodeOrientation, onContextMenuRequested, onDragDetected, onDragDone, onDragDropped, onDragEntered, onDragExited, onDragOver, onInputMethodTextChanged, onKeyPressed, onKeyReleased, onKeyTyped, onMouseClicked, onMouseDragEntered, onMouseDragExited, onMouseDragged, onMouseDragOver, onMouseDragReleased, onMouseEntered, onMouseExited, onMouseMoved, onMousePressed, onMouseReleased, onRotate, onRotationFinished, onRotationStarted, onScrollFinished, onScroll, onScrollStarted, onSwipeDown, onSwipeLeft, onSwipeRight, onSwipeUp, onTouchMoved, onTouchPressed, onTouchReleased, onTouchStationary, onZoomFinished, onZoom, onZoomStarted, opacity, parent, pickOnBounds, pressed, rotate, rotationAxis, scaleX, scaleY, scaleZ, scene, style, translateX, translateY, translateZ, viewOrder, visible`

  - ### Field Summary

    - ### Fields declared in class javafx.scene.layout.Region

      `USE_COMPUTED_SIZE, USE_PREF_SIZE`

    - ### Fields declared in class javafx.scene.Node

      `BASELINE_OFFSET_SAME_AS_HEIGHT`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CheckBoxTreeTableCell()` | Creates a default CheckBoxTreeTableCell.
    `CheckBoxTreeTableCell​(Callback<Integer,​ObservableValue<Boolean>> getSelectedProperty)` | Creates a default CheckBoxTreeTableCell with a custom `Callback` to retrieve an ObservableValue for a given cell index.
    `CheckBoxTreeTableCell​(Callback<Integer,​ObservableValue<Boolean>> getSelectedProperty, StringConverter<T> converter)` | Creates a CheckBoxTreeTableCell with a custom string converter.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ObjectProperty<StringConverter<T>>` | `converterProperty()` | The `StringConverter` property.
    `static <S> Callback<TreeTableColumn<S,​Boolean>,​TreeTableCell<S,​Boolean>>` | `forTreeTableColumn​(TreeTableColumn<S,​Boolean> column)` | Creates a cell factory for use in a `TreeTableColumn` cell factory.
    `static <S,​T> Callback<TreeTableColumn<S,​T>,​TreeTableCell<S,​T>>` | `forTreeTableColumn​(Callback<Integer,​ObservableValue<Boolean>> getSelectedProperty)` | Creates a cell factory for use in a `TreeTableColumn` cell factory.
    `static <S,​T> Callback<TreeTableColumn<S,​T>,​TreeTableCell<S,​T>>` | `forTreeTableColumn​(Callback<Integer,​ObservableValue<Boolean>> getSelectedProperty, boolean showLabel)` | Creates a cell factory for use in a `TreeTableColumn` cell factory.
    `static <S,​T> Callback<TreeTableColumn<S,​T>,​TreeTableCell<S,​T>>` | `forTreeTableColumn​(Callback<Integer,​ObservableValue<Boolean>> getSelectedProperty, StringConverter<T> converter)` | Creates a cell factory for use in a `TreeTableColumn` cell factory.
    `StringConverter<T>` | `getConverter()` | Returns the `StringConverter` used in this cell.
    `Callback<Integer,​ObservableValue<Boolean>>` | `getSelectedStateCallback()` | Returns the `Callback` that is bound to by the CheckBox shown on screen.
    `ObjectProperty<Callback<Integer,​ObservableValue<Boolean>>>` | `selectedStateCallbackProperty()` | Property representing the `Callback` that is bound to by the CheckBox shown on screen.
    `void` | `setConverter​(StringConverter<T> value)` | Sets the `StringConverter` to be used in this cell.
    `void` | `setSelectedStateCallback​(Callback<Integer,​ObservableValue<Boolean>> value)` | Sets the `Callback` that is bound to by the CheckBox shown on screen.

    - ### Methods declared in class javafx.scene.control.TreeTableCell

      `getTableColumn, getTableRow, getTreeTableRow, getTreeTableView, tableColumnProperty, tableRowProperty, treeTableViewProperty, updateTableColumn, updateTableRow, updateTreeTableColumn, updateTreeTableRow, updateTreeTableView`

    - ### Methods declared in class javafx.scene.control.IndexedCell

      `getIndex, indexProperty, updateIndex`

    - ### Methods declared in class javafx.scene.control.Cell

      `cancelEdit, commitEdit, editableProperty, editingProperty, emptyProperty, getInitialFocusTraversable, getItem, isEditable, isEditing, isEmpty, isItemChanged, isSelected, itemProperty, selectedProperty, setEditable, setItem, startEdit, updateItem, updateSelected`

    - ### Methods declared in class javafx.scene.control.Labeled

      `alignmentProperty, contentDisplayProperty, ellipsisStringProperty, fontProperty, getAlignment, getClassCssMetaData, getContentBias, getContentDisplay, getControlCssMetaData, getEllipsisString, getFont, getGraphic, getGraphicTextGap, getInitialAlignment, getLabelPadding, getLineSpacing, getText, getTextAlignment, getTextFill, getTextOverrun, graphicProperty, graphicTextGapProperty, isMnemonicParsing, isUnderline, isWrapText, labelPaddingProperty, lineSpacingProperty, mnemonicParsingProperty, setAlignment, setContentDisplay, setEllipsisString, setFont, setGraphic, setGraphicTextGap, setLineSpacing, setMnemonicParsing, setText, setTextAlignment, setTextFill, setTextOverrun, setUnderline, setWrapText, textAlignmentProperty, textFillProperty, textOverrunProperty, textProperty, underlineProperty, wrapTextProperty`

    - ### Methods declared in class javafx.scene.control.Control

      `computeMaxHeight, computeMaxWidth, computeMinHeight, computeMinWidth, contextMenuProperty, createDefaultSkin, getContextMenu, getCssMetaData, getTooltip, isResizable, setContextMenu, setTooltip, skinProperty, tooltipProperty`

    - ### Methods declared in class javafx.scene.layout.Region

      `backgroundProperty, borderProperty, cacheShapeProperty, centerShapeProperty, computePrefHeight, computePrefWidth, getBackground, getBorder, getHeight, getInsets, getMaxHeight, getMaxWidth, getMinHeight, getMinWidth, getOpaqueInsets, getPadding, getPrefHeight, getPrefWidth, getShape, getUserAgentStylesheet, getWidth, heightProperty, insetsProperty, isCacheShape, isCenterShape, isScaleShape, isSnapToPixel, layoutInArea, layoutInArea, layoutInArea, layoutInArea, maxHeight, maxHeightProperty, maxWidth, maxWidthProperty, minHeight, minHeightProperty, minWidth, minWidthProperty, opaqueInsetsProperty, paddingProperty, positionInArea, positionInArea, prefHeight, prefHeightProperty, prefWidth, prefWidthProperty, resize, scaleShapeProperty, setBackground, setBorder, setCacheShape, setCenterShape, setHeight, setMaxHeight, setMaxSize, setMaxWidth, setMinHeight, setMinSize, setMinWidth, setOpaqueInsets, setPadding, setPrefHeight, setPrefSize, setPrefWidth, setScaleShape, setShape, setSnapToPixel, setWidth, shapeProperty, snappedBottomInset, snappedLeftInset, snappedRightInset, snappedTopInset, snapPosition, snapPositionX, snapPositionY, snapSize, snapSizeX, snapSizeY, snapSpace, snapSpaceX, snapSpaceY, snapToPixelProperty, widthProperty`

    - ### Methods declared in class javafx.scene.Parent

      `getBaselineOffset, getChildren, getChildrenUnmodifiable, getManagedChildren, getStylesheets, isNeedsLayout, layout, layoutChildren, needsLayoutProperty, requestLayout, requestParentLayout, setNeedsLayout, updateBounds`

    - ### Methods declared in class javafx.scene.Node

      `accessibleHelpProperty, accessibleRoleDescriptionProperty, accessibleRoleProperty, accessibleTextProperty, addEventFilter, addEventHandler, applyCss, autosize, blendModeProperty, boundsInLocalProperty, boundsInParentProperty, buildEventDispatchChain, cacheHintProperty, cacheProperty, clipProperty, computeAreaInScreen, contains, contains, cursorProperty, depthTestProperty, disabledProperty, disableProperty, effectiveNodeOrientationProperty, effectProperty, eventDispatcherProperty, executeAccessibleAction, fireEvent, focusedProperty, focusTraversableProperty, getAccessibleHelp, getAccessibleRole, getAccessibleRoleDescription, getAccessibleText, getBlendMode, getBoundsInLocal, getBoundsInParent, getCacheHint, getClip, getCursor, getDepthTest, getEffect, getEffectiveNodeOrientation, getEventDispatcher, getId, getInitialCursor, getInputMethodRequests, getLayoutBounds, getLayoutX, getLayoutY, getLocalToParentTransform, getLocalToSceneTransform, getNodeOrientation, getOnContextMenuRequested, getOnDragDetected, getOnDragDone, getOnDragDropped, getOnDragEntered, getOnDragExited, getOnDragOver, getOnInputMethodTextChanged, getOnKeyPressed, getOnKeyReleased, getOnKeyTyped, getOnMouseClicked, getOnMouseDragEntered, getOnMouseDragExited, getOnMouseDragged, getOnMouseDragOver, getOnMouseDragReleased, getOnMouseEntered, getOnMouseExited, getOnMouseMoved, getOnMousePressed, getOnMouseReleased, getOnRotate, getOnRotationFinished, getOnRotationStarted, getOnScroll, getOnScrollFinished, getOnScrollStarted, getOnSwipeDown, getOnSwipeLeft, getOnSwipeRight, getOnSwipeUp, getOnTouchMoved, getOnTouchPressed, getOnTouchReleased, getOnTouchStationary, getOnZoom, getOnZoomFinished, getOnZoomStarted, getOpacity, getParent, getProperties, getPseudoClassStates, getRotate, getRotationAxis, getScaleX, getScaleY, getScaleZ, getScene, getStyle, getStyleableParent, getTransforms, getTranslateX, getTranslateY, getTranslateZ, getTypeSelector, getUserData, getViewOrder, hasProperties, hoverProperty, idProperty, inputMethodRequestsProperty, intersects, intersects, isCache, isDisable, isDisabled, isFocused, isFocusTraversable, isHover, isManaged, isMouseTransparent, isPickOnBounds, isPressed, isVisible, layoutBoundsProperty, layoutXProperty, layoutYProperty, localToParent, localToParent, localToParent, localToParent, localToParent, localToParentTransformProperty, localToScene, localToScene, localToScene, localToScene, localToScene, localToScene, localToScene, localToScene, localToScene, localToScene, localToSceneTransformProperty, localToScreen, localToScreen, localToScreen, localToScreen, localToScreen, lookup, lookupAll, managedProperty, mouseTransparentProperty, nodeOrientationProperty, notifyAccessibleAttributeChanged, onContextMenuRequestedProperty, onDragDetectedProperty, onDragDoneProperty, onDragDroppedProperty, onDragEnteredProperty, onDragExitedProperty, onDragOverProperty, onInputMethodTextChangedProperty, onKeyPressedProperty, onKeyReleasedProperty, onKeyTypedProperty, onMouseClickedProperty, onMouseDragEnteredProperty, onMouseDragExitedProperty, onMouseDraggedProperty, onMouseDragOverProperty, onMouseDragReleasedProperty, onMouseEnteredProperty, onMouseExitedProperty, onMouseMovedProperty, onMousePressedProperty, onMouseReleasedProperty, onRotateProperty, onRotationFinishedProperty, onRotationStartedProperty, onScrollFinishedProperty, onScrollProperty, onScrollStartedProperty, onSwipeDownProperty, onSwipeLeftProperty, onSwipeRightProperty, onSwipeUpProperty, onTouchMovedProperty, onTouchPressedProperty, onTouchReleasedProperty, onTouchStationaryProperty, onZoomFinishedProperty, onZoomProperty, onZoomStartedProperty, opacityProperty, parentProperty, parentToLocal, parentToLocal, parentToLocal, parentToLocal, parentToLocal, pickOnBoundsProperty, pressedProperty, pseudoClassStateChanged, queryAccessibleAttribute, relocate, removeEventFilter, removeEventHandler, requestFocus, resizeRelocate, rotateProperty, rotationAxisProperty, scaleXProperty, scaleYProperty, scaleZProperty, sceneProperty, sceneToLocal, sceneToLocal, sceneToLocal, sceneToLocal, sceneToLocal, sceneToLocal, sceneToLocal, sceneToLocal, screenToLocal, screenToLocal, screenToLocal, setAccessibleHelp, setAccessibleRole, setAccessibleRoleDescription, setAccessibleText, setBlendMode, setCache, setCacheHint, setClip, setCursor, setDepthTest, setDisable, setDisabled, setEffect, setEventDispatcher, setEventHandler, setFocused, setFocusTraversable, setHover, setId, setInputMethodRequests, setLayoutX, setLayoutY, setManaged, setMouseTransparent, setNodeOrientation, setOnContextMenuRequested, setOnDragDetected, setOnDragDone, setOnDragDropped, setOnDragEntered, setOnDragExited, setOnDragOver, setOnInputMethodTextChanged, setOnKeyPressed, setOnKeyReleased, setOnKeyTyped, setOnMouseClicked, setOnMouseDragEntered, setOnMouseDragExited, setOnMouseDragged, setOnMouseDragOver, setOnMouseDragReleased, setOnMouseEntered, setOnMouseExited, setOnMouseMoved, setOnMousePressed, setOnMouseReleased, setOnRotate, setOnRotationFinished, setOnRotationStarted, setOnScroll, setOnScrollFinished, setOnScrollStarted, setOnSwipeDown, setOnSwipeLeft, setOnSwipeRight, setOnSwipeUp, setOnTouchMoved, setOnTouchPressed, setOnTouchReleased, setOnTouchStationary, setOnZoom, setOnZoomFinished, setOnZoomStarted, setOpacity, setPickOnBounds, setPressed, setRotate, setRotationAxis, setScaleX, setScaleY, setScaleZ, setStyle, setTranslateX, setTranslateY, setTranslateZ, setUserData, setViewOrder, setVisible, snapshot, snapshot, startDragAndDrop, startFullDrag, styleProperty, toBack, toFront, toString, translateXProperty, translateYProperty, translateZProperty, usesMirroring, viewOrderProperty, visibleProperty`

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods declared in interface javafx.scene.control.Skinnable

      `getSkin, setSkin`

    - ### Methods declared in interface javafx.css.Styleable

      `getStyleableNode, getStyleClass`

- - ### Property Detail

    - #### converter

          public final ObjectProperty<StringConverter<T>> converterProperty

      The `StringConverter` property.
      See Also:
        `getConverter()`, `setConverter(StringConverter)`

    - #### selectedStateCallback

          public final ObjectProperty<Callback<Integer,​ObservableValue<Boolean>>> selectedStateCallbackProperty

      Property representing the `Callback` that is bound to by the CheckBox shown on screen.
      See Also:
        `getSelectedStateCallback()`, `setSelectedStateCallback(Callback)`

  - ### Constructor Detail

    - #### CheckBoxTreeTableCell

          public CheckBoxTreeTableCell()

      Creates a default CheckBoxTreeTableCell.

    - #### CheckBoxTreeTableCell

          public CheckBoxTreeTableCell​(Callback<Integer,​ObservableValue<Boolean>> getSelectedProperty)

      Creates a default CheckBoxTreeTableCell with a custom `Callback` to retrieve an ObservableValue for a given cell index.
      Parameters:
        `getSelectedProperty` - A `Callback` that will return an `ObservableValue` given an index from the TreeTableColumn.

    - #### CheckBoxTreeTableCell

          public CheckBoxTreeTableCell​(Callback<Integer,​ObservableValue<Boolean>> getSelectedProperty,
                                       StringConverter<T> converter)

      Creates a CheckBoxTreeTableCell with a custom string converter.
      Parameters:
        `getSelectedProperty` - A `Callback` that will return a `ObservableValue` given an index from the TreeTableColumn.
        `converter` - A StringConverter that, given an object of type T, will return a String that can be used to represent the object visually.

  - ### Method Detail

    - #### forTreeTableColumn

          public static <S> Callback<TreeTableColumn<S,​Boolean>,​TreeTableCell<S,​Boolean>> forTreeTableColumn​(TreeTableColumn<S,​Boolean> column)

      Creates a cell factory for use in a `TreeTableColumn` cell factory. This method requires that the TreeTableColumn be of type `Boolean`.

      When used in a TreeTableColumn, the CheckBoxCell is rendered with a CheckBox centered in the column.

      The `ObservableValue<Boolean>` contained within each cell in the column will be bound bidirectionally. This means that the CheckBox in the cell will set/unset this property based on user interactions, and the CheckBox will reflect the state of the `ObservableValue<Boolean>`, if it changes externally).

      Type Parameters:
        `S` - The type of the TreeTableView generic type
      Parameters:
        `column` - the TreeTableColumn of type `Boolean`
      Returns:
        A `Callback` that will return a `TreeTableCell` that is able to work on the type of element contained within the TreeTableColumn.

    - #### forTreeTableColumn

          public static <S,​T> Callback<TreeTableColumn<S,​T>,​TreeTableCell<S,​T>> forTreeTableColumn​(Callback<Integer,​ObservableValue<Boolean>> getSelectedProperty)

      Creates a cell factory for use in a `TreeTableColumn` cell factory. This method requires that the TreeTableColumn be of type `ObservableValue<Boolean>`.

      When used in a TreeTableColumn, the CheckBoxCell is rendered with a CheckBox centered in the column.

      Type Parameters:
        `S` - The type of the TreeTableView generic type
        `T` - The type of the elements contained within the `TreeTableColumn` instance.
      Parameters:
        `getSelectedProperty` - A Callback that, given an object of type `TreeTableColumn<S,T>`, will return an `ObservableValue<Boolean>` that represents whether the given item is selected or not. This `ObservableValue<Boolean>` will be bound bidirectionally (meaning that the CheckBox in the cell will set/unset this property based on user interactions, and the CheckBox will reflect the state of the `ObservableValue<Boolean>`, if it changes externally).
      Returns:
        A `Callback` that will return a `TreeTableCell` that is able to work on the type of element contained within the TreeTableColumn.

    - #### forTreeTableColumn

          public static <S,​T> Callback<TreeTableColumn<S,​T>,​TreeTableCell<S,​T>> forTreeTableColumn​(Callback<Integer,​ObservableValue<Boolean>> getSelectedProperty,
                                                                                                                           boolean showLabel)

      Creates a cell factory for use in a `TreeTableColumn` cell factory. This method requires that the TreeTableColumn be of type `ObservableValue<Boolean>`.

      When used in a TreeTableColumn, the CheckBoxCell is rendered with a CheckBox centered in the column.

      Type Parameters:
        `S` - The type of the TreeTableView generic type
        `T` - The type of the elements contained within the `TreeTableColumn` instance.
      Parameters:
        `getSelectedProperty` - A Callback that, given an object of type `TreeTableColumn<S,T>`, will return an `ObservableValue<Boolean>` that represents whether the given item is selected or not. This `ObservableValue<Boolean>` will be bound bidirectionally (meaning that the CheckBox in the cell will set/unset this property based on user interactions, and the CheckBox will reflect the state of the `ObservableValue<Boolean>`, if it changes externally).
        `showLabel` - In some cases, it may be desirable to show a label in the TreeTableCell beside the `CheckBox`. By default a label is not shown, but by setting this to true the item in the cell will also have toString() called on it. If this is not the desired behavior, consider using `forTreeTableColumn(javafx.util.Callback, javafx.util.StringConverter)`, which allows for you to provide a callback that specifies the label for a given row item.
      Returns:
        A `Callback` that will return a `TreeTableCell` that is able to work on the type of element contained within the TreeTableColumn.

    - #### forTreeTableColumn

          public static <S,​T> Callback<TreeTableColumn<S,​T>,​TreeTableCell<S,​T>> forTreeTableColumn​(Callback<Integer,​ObservableValue<Boolean>> getSelectedProperty,
                                                                                                                           StringConverter<T> converter)

      Creates a cell factory for use in a `TreeTableColumn` cell factory. This method requires that the TreeTableColumn be of type `ObservableValue<Boolean>`.

      When used in a TreeTableColumn, the CheckBoxCell is rendered with a CheckBox centered in the column.

      Type Parameters:
        `S` - The type of the TreeTableView generic type
        `T` - The type of the elements contained within the `TreeTableColumn` instance.
      Parameters:
        `getSelectedProperty` - A Callback that, given an object of type `TreeTableColumn<S,T>`, will return an `ObservableValue<Boolean>` that represents whether the given item is selected or not. This `ObservableValue<Boolean>` will be bound bidirectionally (meaning that the CheckBox in the cell will set/unset this property based on user interactions, and the CheckBox will reflect the state of the `ObservableValue<Boolean>`, if it changes externally).
        `converter` - A StringConverter that, give an object of type T, will return a String that can be used to represent the object visually. The default implementation in `forTreeTableColumn(Callback, boolean)` (when showLabel is true) is to simply call .toString() on all non-null items (and to just return an empty string in cases where the given item is null).
      Returns:
        A `Callback` that will return a `TreeTableCell` that is able to work on the type of element contained within the TreeTableColumn.

    - #### converterProperty

          public final ObjectProperty<StringConverter<T>> converterProperty()

      The `StringConverter` property.
      See Also:
        `getConverter()`, `setConverter(StringConverter)`

    - #### setConverter

          public final void setConverter​(StringConverter<T> value)

      Sets the `StringConverter` to be used in this cell.
      Parameters:
        `value` - the `StringConverter` to be used in this cell

    - #### getConverter

          public final StringConverter<T> getConverter()

      Returns the `StringConverter` used in this cell.
      Returns:
        the `StringConverter` used in this cell

    - #### selectedStateCallbackProperty

          public final ObjectProperty<Callback<Integer,​ObservableValue<Boolean>>> selectedStateCallbackProperty()

      Property representing the `Callback` that is bound to by the CheckBox shown on screen.
      See Also:
        `getSelectedStateCallback()`, `setSelectedStateCallback(Callback)`

    - #### setSelectedStateCallback

          public final void setSelectedStateCallback​(Callback<Integer,​ObservableValue<Boolean>> value)

      Sets the `Callback` that is bound to by the CheckBox shown on screen.
      Parameters:
        `value` - the `Callback` that is bound to by the CheckBox shown on screen

    - #### getSelectedStateCallback

          public final Callback<Integer,​ObservableValue<Boolean>> getSelectedStateCallback()

      Returns the `Callback` that is bound to by the CheckBox shown on screen.
      Returns:
        the `Callback` that is bound to by the CheckBox shown on screen